PAlib: General Functions

Main Page | Modules | File List | Globals | Search for

# General Functions

## Defines

#define | PA_LidClosed() (IPC->buttons>>7)
| Check if the DS is closed. Returns 0 if open, 1 if closed

## Functions

void | PA_Init (void)
| Initialise the library. Must be used at the beginning or main()
void | PA_SetVideoMode (bool screen, u8 mode)
| Change the video mode... Use this with caution
void | PA_UpdateUserInfo (void)

Updates the user info. This is automatically done in PA_Init. You can then get any info with the following variables : PA_UserInfo.Color (favorite color), .BdayDay, .BdayMonth, .AlarmHour, .AlarmMinute, .Name, .NameLength, .Message, .MessageLength, .Language

void | PA_UpdateRTC (void)
| Updates the Real Time Clock, with info on the current date and hour. Automatically updated in the PA VBL... Get the info with PA_RTC.Minutes, .Hour, .Seconds, .Day, .Month, and .Year
void | PA_LoadSplash (void)
| Load a PlayerAdvance splash screen... It's always nice to give some credit ;)
void | PA_NeoSplash (void)
void | PA_WaitForVBL (void)
| Wait for the VBlank to occur
void | PA_SwitchScreens (void)
| Switch the bottom and top screens...
void | PA_InitCPUMeter ()
| BROKEN ----- Initialises the CPU Meter. The CPU value is saved in PA_CPU (and PA_MaxCPU for max usage)
bool | PA_CheckLid (void)
| Check if the DS is closed. If closed, it pauses the DS, and returns 1.
void | PA_Splash (void *tiles0, void *map0, void *tiles1, void *map1, s16 color0, s16 color1, s16 time)
| Splash screen function ! Load your own splash screen...
void | PA_SetScreenLight (bool screen, bool light)
| Set on or off the screen's light
void | PA_SetLedBlink (bool blink, bool speed)
| Set teh DS Led blinking

## Detailed Description

Initialise the lib, and other general functions...

## Function Documentation

inline void PA_SetLedBlink | ( | bool | blink,
|  | bool | speed
| ) | `[inline]`

Set teh DS Led blinking

Parameters:

  | blink | 1 for blinking, 0 for always on
  | speed | Speed : 0 for slow, 1 for fast

void PA_SetScreenLight | ( | bool | screen,
|  | bool | light
| ) | `[inline]`

Set on or off the screen's light

Parameters:

  | screen | Screen...
  | light | Light, 1 for on, 0 for off

inline void PA_SetVideoMode | ( | bool | screen,
|  | u8 | mode
| ) | `[inline]`

Change the video mode... Use this with caution

Parameters:

  | screen | Screen...
  | mode | Mode 0 for normal, 1 for 1 rotating backgrounds, 2 for 2

void PA_Splash | ( | void * | tiles0,
|  | void * | map0,
|  | void * | tiles1,
|  | void * | map1,
|  | s16 | color0,
|  | s16 | color1,
|  | s16 | time
| ) |

Splash screen function ! Load your own splash screen...

Parameters:

  | tiles0 | Tiles of the splash to put on the bottom screen
  | map0 | Map of the splash to put on the bottom screen
  | tiles1 | Tiles of the splash to put on the top screen
  | map1 | Map of the splash to put on the top screen
  | color0 | Fade in color, 0 for balck, 1 for white.
  | color1 | Fade out color, 0 for balck, 1 for white.
  | time | Time to stay on the splash if you do net press Start or use the Stylus, in VBLs -> 60 for 1 second, 300 for 5 seconds...